{% extends "Interfaz/Usuario/index_login.html" %}
{% block template %}
<form action="{% url 'forget_password_sent_reset' %}" method="POST" class="margin-bottom-0">
	
	<div class="form-group m-b-15">
		<input type="email" name="username" class="form-control form-control-lg" placeholder="Usuario" required />
	</div>
	<div class="login-buttons">
		<button type="submit" class="btn btn-success btn-block btn-lg">Recuperar</button>
	</div>
</form>

{% endblock template %}

{% block logic %}

	$( "#login_form" ).submit(function( event ) {

		event.preventDefault()
	    var form = $(this);
	    var url = form.attr('action');

    $.ajax({
           type: "POST",
           url: url,
           data: form.serialize(),
           success: function(data)
           {
					$.gritter.add({
						title: 'Se envio corre',
						text: 'Ingrese a su correo y recupere su usuario',
						sticky: false,
						time: ''
					});
					return false;
           },
           error: function(error)
           {
           		$.gritter.add({
					title: 'No se envio correo de recuperacion',
					text: 'El usuario indicado no existe',
					sticky: false,
					time: ''
				});
           },
         });

	});

{% endblock logic %}